/**
  *  \file game/simplembox.h
  *
  *  (c) 2001-2019 Stefan Reuther <Streu@gmx.de>
  *
  *  This program is free software; you can redistribute it and/or
  *  modify it under the terms of file `COPYING' that comes with the
  *  source code.
  *
  *  This program is distributed in the hope that it will be useful,
  *  but WITHOUT ANY WARRANTY; without even the implied warranty of
  *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
  */
#ifndef PCC_V2_GAME_SIMPLEMBOX_H
#define PCC_V2_GAME_SIMPLEMBOX_H

#include "game/msg.h"
#include "cpluslib/ptrvector.h"

/** A simple mailbox that just stores messages with no further logic. */
class GSimpleMailbox : public GMessagebox {
 public:
    GSimpleMailbox();
    ~GSimpleMailbox();
    virtual int getCount();
    virtual string_t getText(int index);
    virtual string_t getHeading(int index);

    void addMessage(string_t heading, string_t text);

 private:
    struct Message;
    ptr_vector<Message> m_messages;
};

#endif
